public class VOLLKREIS
{
	private int xMitte, yMitte, radius, farbnr;
	private int breiteFenster, hoeheFenster;

	public VOLLKREIS(int xStart, int yStart, int radiusStart, int farbnrStart)
	{
		xMitte = xStart;
		yMitte = yStart;
		radius = radiusStart;
		farbnr = farbnrStart;
		//ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
	}
	
	public int gibXMitte()
	{
	    return xMitte;
	}
	
	public int gibYMitte()
	{
	    return yMitte;
	}
	
	public int gibRadius()
	{
	    return radius;
	}
	
	public int gibFarbnr()
	{
	    return farbnr;
	}
	
	public void setzeMasseFenster (int breite, int hoehe)
	{
	    breiteFenster = breite;
	    hoeheFenster = hoehe;
	    ZEICHENFENSTER.gibFenster().setzeMasse(breite, hoehe);
	}
	    

	public void setzeMitte(int xNeu, int yNeu)
	{
	    xMitte = xNeu;
	    yMitte = yNeu;
	}
		
	public void zeichne()
	{
	    ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
	}   

	public void aendereFarbe(int farbnrNeu)
	{
		farbnr = farbnrNeu;
		ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
	}
	
	public void verschiebe(int nachRechts, int nachUnten)
	{
	   ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,8);
	   xMitte = xMitte + nachRechts;
	   yMitte = yMitte + nachUnten;
	   ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
	}
	
	public void rolle(int nachRechts, int nachUnten)
	{
	   int rechts = 0;
	   while (rechts < nachRechts)
	   {
	       ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,8);
	       xMitte = xMitte + 1;
	       yMitte = yMitte + 1;
	       ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
	       rechts = rechts +1;
	   }
	}
	
	public void billard()
	{
	   while ((xMitte < breiteFenster - radius) && (yMitte < hoeheFenster - radius))
	   {
	       ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,8);
	       xMitte = xMitte + 1;
	       yMitte = yMitte + 1;
	       ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
	   }
	   if ((yMitte >= hoeheFenster - radius) && (xMitte < breiteFenster - radius))
	   {
	       while ((xMitte < breiteFenster - radius) && (yMitte > radius))
	       {
	           ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,8);
	           xMitte = xMitte + 1;
	           yMitte = yMitte - 1;
	           ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
	       }
	   }
	   
	    
	    
	    
	    
	    
	  
	}
}
